Index: tap-plugins-0.7.0/Makefile
===================================================================
--- tap-plugins-0.7.0.orig/Makefile
+++ tap-plugins-0.7.0/Makefile
@@ -34,9 +34,12 @@ INSTALL_LRDF_DIR	=	/usr/local/share/lads
 
 # GENERAL
 
+OPT_CFLAGS	=	-O3 -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math
 CC		=	gcc
-CFLAGS		=	-I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC
-LDFLAGS		=	-nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt
+CFLAGS		=	-I. -Wall $(OPT_CFLAGS) -c -fPIC -DPIC
+EXTRA_LDFLAGS	=	
+LDFLAGS		=	-nostartfiles -shared -Wl,-Bsymbolic $(EXTRA_LDFLAGS)
+LIBADD		=	-lc -lm -lrt
 
 PLUGINS		=	tap_autopan.so \
 			tap_chorusflanger.so \
@@ -65,79 +68,79 @@ all: $(PLUGINS)
 
 tap_tremolo.so: tap_tremolo.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_tremolo.c -o tap_tremolo.o
-	$(CC) $(LDFLAGS) -o tap_tremolo.so tap_tremolo.o
+	$(CC) $(LDFLAGS) -o tap_tremolo.so tap_tremolo.o $(LIBADD)
 
 tap_eq.so: tap_eq.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_eq.c -o tap_eq.o
-	$(CC) $(LDFLAGS) -o tap_eq.so tap_eq.o
+	$(CC) $(LDFLAGS) -o tap_eq.so tap_eq.o $(LIBADD)
 
 tap_eqbw.so: tap_eqbw.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_eqbw.c -o tap_eqbw.o
-	$(CC) $(LDFLAGS) -o tap_eqbw.so tap_eqbw.o
+	$(CC) $(LDFLAGS) -o tap_eqbw.so tap_eqbw.o $(LIBADD)
 
 tap_echo.so: tap_echo.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_echo.c -o tap_echo.o
-	$(CC) $(LDFLAGS) -o tap_echo.so tap_echo.o
+	$(CC) $(LDFLAGS) -o tap_echo.so tap_echo.o $(LIBADD)
 
 tap_reverb.so: tap_reverb.c tap_reverb.h tap_reverb_presets.h tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_reverb.c -o tap_reverb.o
-	$(CC) $(LDFLAGS) -o tap_reverb.so tap_reverb.o
+	$(CC) $(LDFLAGS) -o tap_reverb.so tap_reverb.o $(LIBADD)
 
 tap_limiter.so: tap_limiter.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_limiter.c -o tap_limiter.o
-	$(CC) $(LDFLAGS) -o tap_limiter.so tap_limiter.o
+	$(CC) $(LDFLAGS) -o tap_limiter.so tap_limiter.o $(LIBADD)
 
 tap_autopan.so: tap_autopan.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_autopan.c -o tap_autopan.o
-	$(CC) $(LDFLAGS) -o tap_autopan.so tap_autopan.o
+	$(CC) $(LDFLAGS) -o tap_autopan.so tap_autopan.o $(LIBADD)
 
 tap_deesser.so: tap_deesser.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_deesser.c -o tap_deesser.o
-	$(CC) $(LDFLAGS) -o tap_deesser.so tap_deesser.o
+	$(CC) $(LDFLAGS) -o tap_deesser.so tap_deesser.o $(LIBADD)
 
 tap_vibrato.so: tap_vibrato.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_vibrato.c -o tap_vibrato.o
-	$(CC) $(LDFLAGS) -o tap_vibrato.so tap_vibrato.o
+	$(CC) $(LDFLAGS) -o tap_vibrato.so tap_vibrato.o $(LIBADD)
 
 tap_rotspeak.so: tap_rotspeak.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_rotspeak.c -o tap_rotspeak.o
-	$(CC) $(LDFLAGS) -o tap_rotspeak.so tap_rotspeak.o
+	$(CC) $(LDFLAGS) -o tap_rotspeak.so tap_rotspeak.o $(LIBADD)
 
 tap_pitch.so: tap_pitch.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_pitch.c -o tap_pitch.o
-	$(CC) $(LDFLAGS) -o tap_pitch.so tap_pitch.o
+	$(CC) $(LDFLAGS) -o tap_pitch.so tap_pitch.o $(LIBADD)
 
 tap_dynamics_m.so: tap_dynamics_m.c tap_dynamics_presets.h tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_dynamics_m.c -o tap_dynamics_m.o
-	$(CC) $(LDFLAGS) -o tap_dynamics_m.so tap_dynamics_m.o
+	$(CC) $(LDFLAGS) -o tap_dynamics_m.so tap_dynamics_m.o $(LIBADD)
 
 tap_dynamics_st.so: tap_dynamics_st.c tap_dynamics_presets.h tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_dynamics_st.c -o tap_dynamics_st.o
-	$(CC) $(LDFLAGS) -o tap_dynamics_st.so tap_dynamics_st.o
+	$(CC) $(LDFLAGS) -o tap_dynamics_st.so tap_dynamics_st.o $(LIBADD)
 
 tap_reflector.so: tap_reflector.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_reflector.c -o tap_reflector.o
-	$(CC) $(LDFLAGS) -o tap_reflector.so tap_reflector.o
+	$(CC) $(LDFLAGS) -o tap_reflector.so tap_reflector.o $(LIBADD)
 
 tap_pinknoise.so: tap_pinknoise.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_pinknoise.c -o tap_pinknoise.o
-	$(CC) $(LDFLAGS) -o tap_pinknoise.so tap_pinknoise.o
+	$(CC) $(LDFLAGS) -o tap_pinknoise.so tap_pinknoise.o $(LIBADD)
 
 tap_doubler.so: tap_doubler.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_doubler.c -o tap_doubler.o
-	$(CC) $(LDFLAGS) -o tap_doubler.so tap_doubler.o
+	$(CC) $(LDFLAGS) -o tap_doubler.so tap_doubler.o $(LIBADD)
 
 tap_sigmoid.so: tap_sigmoid.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_sigmoid.c -o tap_sigmoid.o
-	$(CC) $(LDFLAGS) -o tap_sigmoid.so tap_sigmoid.o
+	$(CC) $(LDFLAGS) -o tap_sigmoid.so tap_sigmoid.o $(LIBADD)
 
 tap_tubewarmth.so: tap_tubewarmth.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_tubewarmth.c -o tap_tubewarmth.o
-	$(CC) $(LDFLAGS) -o tap_tubewarmth.so tap_tubewarmth.o
+	$(CC) $(LDFLAGS) -o tap_tubewarmth.so tap_tubewarmth.o $(LIBADD)
 
 tap_chorusflanger.so: tap_chorusflanger.c tap_utils.h ladspa.h
 	$(CC) $(CFLAGS) tap_chorusflanger.c -o tap_chorusflanger.o
-	$(CC) $(LDFLAGS) -o tap_chorusflanger.so tap_chorusflanger.o
+	$(CC) $(LDFLAGS) -o tap_chorusflanger.so tap_chorusflanger.o $(LIBADD)
 
 
 # OTHER TARGETS
